﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="DatabaseFirst.BloggingModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Blogs">
          <Key>
            <PropertyRef Name="BlogId" />
          </Key>
          <Property Name="BlogId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="200" />
          <Property Name="Url" Type="nvarchar" MaxLength="200" />
        </EntityType>
        <EntityType Name="Posts">
          <Key>
            <PropertyRef Name="PostId" />
          </Key>
          <Property Name="PostId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Title" Type="nvarchar" MaxLength="200" />
          <Property Name="Content" Type="ntext" />
          <Property Name="BlogId" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="Users">
          <Key>
            <PropertyRef Name="Username" />
          </Key>
          <Property Name="Username" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="DisplayName" Type="nvarchar(max)" />
        </EntityType>
        <Association Name="FK_dbo_Posts_dbo_Blogs_BlogId">
          <End Role="Blogs" Type="Self.Blogs" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="Posts" Type="Self.Posts" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Blogs">
              <PropertyRef Name="BlogId" />
            </Principal>
            <Dependent Role="Posts">
              <PropertyRef Name="BlogId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="DatabaseFirstBloggingModelStoreContainer">
          <EntitySet Name="Blogs" EntityType="Self.Blogs" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Posts" EntityType="Self.Posts" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Users" EntityType="Self.Users" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_dbo_Posts_dbo_Blogs_BlogId" Association="Self.FK_dbo_Posts_dbo_Blogs_BlogId">
            <End Role="Blogs" EntitySet="Blogs" />
            <End Role="Posts" EntitySet="Posts" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="DatabaseFirst.BloggingModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Blogs">
          <Key>
            <PropertyRef Name="BlogId" />
          </Key>
          <Property Name="BlogId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Name" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <Property Name="Url" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Posts" Relationship="Self.FK_dbo_Posts_dbo_Blogs_BlogId" FromRole="Blogs" ToRole="Posts" />
        </EntityType>
        <EntityType Name="Posts">
          <Key>
            <PropertyRef Name="PostId" />
          </Key>
          <Property Name="PostId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Title" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <Property Name="Content" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="BlogId" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Blogs" Relationship="Self.FK_dbo_Posts_dbo_Blogs_BlogId" FromRole="Posts" ToRole="Blogs" />
        </EntityType>
        <Association Name="FK_dbo_Posts_dbo_Blogs_BlogId">
          <End Role="Blogs" Type="Self.Blogs" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="Posts" Type="Self.Posts" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Blogs">
              <PropertyRef Name="BlogId" />
            </Principal>
            <Dependent Role="Posts">
              <PropertyRef Name="BlogId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="BloggingContext" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Blogs" EntityType="Self.Blogs" />
          <EntitySet Name="Posts" EntityType="Self.Posts" />
          <AssociationSet Name="FK_dbo_Posts_dbo_Blogs_BlogId" Association="Self.FK_dbo_Posts_dbo_Blogs_BlogId">
            <End Role="Blogs" EntitySet="Blogs" />
            <End Role="Posts" EntitySet="Posts" />
          </AssociationSet>
          <EntitySet Name="Users" EntityType="DatabaseFirst.BloggingModel.Users" />
        </EntityContainer>
        <EntityType Name="Users">
          <Key>
            <PropertyRef Name="Username" />
          </Key>
          <Property Name="Username" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="DisplayName" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
        </EntityType>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="DatabaseFirstBloggingModelStoreContainer" CdmEntityContainer="BloggingContext">
          <EntitySetMapping Name="Blogs">
            <EntityTypeMapping TypeName="DatabaseFirst.BloggingModel.Blogs">
              <MappingFragment StoreEntitySet="Blogs">
                <ScalarProperty Name="BlogId" ColumnName="BlogId" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Url" ColumnName="Url" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Posts">
            <EntityTypeMapping TypeName="DatabaseFirst.BloggingModel.Posts">
              <MappingFragment StoreEntitySet="Posts">
                <ScalarProperty Name="PostId" ColumnName="PostId" />
                <ScalarProperty Name="Title" ColumnName="Title" />
                <ScalarProperty Name="Content" ColumnName="Content" />
                <ScalarProperty Name="BlogId" ColumnName="BlogId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Users">
            <EntityTypeMapping TypeName="DatabaseFirst.BloggingModel.Users">
              <MappingFragment StoreEntitySet="Users">
                <ScalarProperty Name="DisplayName" ColumnName="DisplayName" />
                <ScalarProperty Name="Username" ColumnName="Username" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>